fcf.module({
  name: "fcfControls:NEvents/DialogComplete.js",
  dependencies: [],
  module: function(Event) {
    var NEvent = fcf.prepareObject(fcf, "packages.fcfControls.NEvent");

    /*
     * @class fcf::packages::fcfControls::NEvent::DialogComplete
     * @brief Событие успешного завершения закрытия диалога
     **/
    NEvent.DialogComplete = function(a_args, a_subEvent) {
      fcf.Event.call(this, "fcfcontrols_dialog_complete", a_args, a_subEvent);

      this.directionalСall = true;

      //this.owner
    }

    return NEvent.DialogComplete;
  }
});
